Package org.kie.internal.task.api

## Interface TaskPersistenceContext

-     public interface TaskPersistenceContext

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.task.model.Attachment` | `addAttachmentToTask​(org.kie.api.task.model.Attachment attachment, org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.Comment` | `addCommentToTask​(org.kie.api.task.model.Comment comment, org.kie.api.task.model.Task task)` |
    `java.util.HashMap<java.lang.String,​java.lang.Object>` | `addParametersToMap​(java.lang.Object... parameterValues)` |
    `void` | `close()` |
    `java.util.List<org.kie.api.task.model.TaskSummary>` | `doTaskSummaryCriteriaQuery​(java.lang.String userId, org.kie.api.task.UserGroupCallback userGroupCallback, java.lang.Object queryWhere)` |
    `int` | `executeUpdate​(java.lang.String queryName, java.util.Map<java.lang.String,​java.lang.Object> params)` |
    `int` | `executeUpdateString​(java.lang.String updateString)` |
    `<T> T` | `find​(java.lang.Class<T> entityClass, java.lang.Object primaryKey)` |
    `org.kie.api.task.model.Attachment` | `findAttachment​(java.lang.Long attachmentId)` |
    `org.kie.api.task.model.Comment` | `findComment​(java.lang.Long commentId)` |
    `org.kie.api.task.model.Content` | `findContent​(java.lang.Long contentId)` |
    `Deadline` | `findDeadline​(java.lang.Long deadlineId)` |
    `org.kie.api.task.model.Email` | `findEmail​(java.lang.String emailId)` |
    `org.kie.api.task.model.Group` | `findGroup​(java.lang.String groupId)` |
    `org.kie.api.task.model.OrganizationalEntity` | `findOrgEntity​(java.lang.String orgEntityId)` |
    `org.kie.api.task.model.Task` | `findTask​(java.lang.Long taskId)` |
    `java.lang.Long` | `findTaskIdByContentId​(java.lang.Long contentId)` |
    `org.kie.api.task.model.User` | `findUser​(java.lang.String userId)` |
    `boolean` | `isOpen()` |
    `void` | `joinTransaction()` |
    `<T> T` | `merge​(T entity)` |
    `<T> T` | `persist​(T object)` |
    `org.kie.api.task.model.Attachment` | `persistAttachment​(org.kie.api.task.model.Attachment attachment)` |
    `org.kie.api.task.model.Comment` | `persistComment​(org.kie.api.task.model.Comment comment)` |
    `org.kie.api.task.model.Content` | `persistContent​(org.kie.api.task.model.Content content)` |
    `Deadline` | `persistDeadline​(Deadline deadline)` |
    `org.kie.api.task.model.Email` | `persistEmail​(org.kie.api.task.model.Email email)` |
    `org.kie.api.task.model.Group` | `persistGroup​(org.kie.api.task.model.Group group)` |
    `org.kie.api.task.model.OrganizationalEntity` | `persistOrgEntity​(org.kie.api.task.model.OrganizationalEntity orgEntity)` |
    `org.kie.api.task.model.Task` | `persistTask​(org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.User` | `persistUser​(org.kie.api.task.model.User user)` |
    `<T> T` | `queryAndLockStringWithParametersInTransaction​(java.lang.String queryName, java.util.Map<java.lang.String,​java.lang.Object> params, boolean singleResult, java.lang.Class<T> clazz)` |
    `<T> T` | `queryAndLockWithParametersInTransaction​(java.lang.String queryName, java.util.Map<java.lang.String,​java.lang.Object> params, boolean singleResult, java.lang.Class<T> clazz)` |
    `<T> T` | `queryInTransaction​(java.lang.String queryName, java.lang.Class<T> clazz)` |
    `<T> T` | `queryStringInTransaction​(java.lang.String queryString, java.lang.Class<T> clazz)` |
    `<T> T` | `queryStringWithParametersInTransaction​(java.lang.String queryString, boolean singleResult, java.util.Map<java.lang.String,​java.lang.Object> params, java.lang.Class<T> clazz)` |
    `<T> T` | `queryStringWithParametersInTransaction​(java.lang.String queryString, java.util.Map<java.lang.String,​java.lang.Object> params, java.lang.Class<T> clazz)` |
    `<T> T` | `queryWithParametersInTransaction​(java.lang.String queryName, boolean singleResult, java.util.Map<java.lang.String,​java.lang.Object> params, java.lang.Class<T> clazz)` |
    `<T> T` | `queryWithParametersInTransaction​(java.lang.String queryName, java.util.Map<java.lang.String,​java.lang.Object> params, java.lang.Class<T> clazz)` |
    `<T> T` | `remove​(T entity)` |
    `org.kie.api.task.model.Attachment` | `removeAttachment​(org.kie.api.task.model.Attachment attachment)` |
    `org.kie.api.task.model.Attachment` | `removeAttachmentFromTask​(org.kie.api.task.model.Task task, long attachmentId)` |
    `org.kie.api.task.model.Comment` | `removeComment​(org.kie.api.task.model.Comment comment)` |
    `org.kie.api.task.model.Comment` | `removeCommentFromTask​(org.kie.api.task.model.Comment comment, org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.Content` | `removeContent​(org.kie.api.task.model.Content content)` |
    `Deadline` | `removeDeadline​(Deadline deadline)` |
    `org.kie.api.task.model.Email` | `removeEmail​(org.kie.api.task.model.Email email)` |
    `org.kie.api.task.model.Group` | `removeGroup​(org.kie.api.task.model.Group group)` |
    `org.kie.api.task.model.OrganizationalEntity` | `removeOrgEntity​(org.kie.api.task.model.OrganizationalEntity orgEntity)` |
    `org.kie.api.task.model.Task` | `removeTask​(org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.User` | `removeUser​(org.kie.api.task.model.User user)` |
    `org.kie.api.task.model.Task` | `setDocumentToTask​(org.kie.api.task.model.Content content, ContentData contentData, org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.Task` | `setFaultToTask​(org.kie.api.task.model.Content content, FaultData faultData, org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.Task` | `setOutputToTask​(org.kie.api.task.model.Content content, ContentData contentData, org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.Attachment` | `updateAttachment​(org.kie.api.task.model.Attachment attachment)` |
    `org.kie.api.task.model.Comment` | `updateComment​(org.kie.api.task.model.Comment comment)` |
    `org.kie.api.task.model.Content` | `updateContent​(org.kie.api.task.model.Content content)` |
    `Deadline` | `updateDeadline​(Deadline deadline)` |
    `org.kie.api.task.model.Email` | `updateEmail​(org.kie.api.task.model.Email email)` |
    `org.kie.api.task.model.Group` | `updateGroup​(org.kie.api.task.model.Group group)` |
    `org.kie.api.task.model.OrganizationalEntity` | `updateOrgEntity​(org.kie.api.task.model.OrganizationalEntity orgEntity)` |
    `org.kie.api.task.model.Task` | `updateTask​(org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.User` | `updateUser​(org.kie.api.task.model.User user)` |

- - ### Method Detail

    - #### findTask

          org.kie.api.task.model.Task findTask​(java.lang.Long taskId)

    - #### persistTask

          org.kie.api.task.model.Task persistTask​(org.kie.api.task.model.Task task)

    - #### updateTask

          org.kie.api.task.model.Task updateTask​(org.kie.api.task.model.Task task)

    - #### removeTask

          org.kie.api.task.model.Task removeTask​(org.kie.api.task.model.Task task)

    - #### findGroup

          org.kie.api.task.model.Group findGroup​(java.lang.String groupId)

    - #### persistGroup

          org.kie.api.task.model.Group persistGroup​(org.kie.api.task.model.Group group)

    - #### updateGroup

          org.kie.api.task.model.Group updateGroup​(org.kie.api.task.model.Group group)

    - #### removeGroup

          org.kie.api.task.model.Group removeGroup​(org.kie.api.task.model.Group group)

    - #### findUser

          org.kie.api.task.model.User findUser​(java.lang.String userId)

    - #### persistUser

          org.kie.api.task.model.User persistUser​(org.kie.api.task.model.User user)

    - #### updateUser

          org.kie.api.task.model.User updateUser​(org.kie.api.task.model.User user)

    - #### removeUser

          org.kie.api.task.model.User removeUser​(org.kie.api.task.model.User user)

    - #### findOrgEntity

          org.kie.api.task.model.OrganizationalEntity findOrgEntity​(java.lang.String orgEntityId)

    - #### persistOrgEntity

          org.kie.api.task.model.OrganizationalEntity persistOrgEntity​(org.kie.api.task.model.OrganizationalEntity orgEntity)

    - #### updateOrgEntity

          org.kie.api.task.model.OrganizationalEntity updateOrgEntity​(org.kie.api.task.model.OrganizationalEntity orgEntity)

    - #### removeOrgEntity

          org.kie.api.task.model.OrganizationalEntity removeOrgEntity​(org.kie.api.task.model.OrganizationalEntity orgEntity)

    - #### findContent

          org.kie.api.task.model.Content findContent​(java.lang.Long contentId)

    - #### persistContent

          org.kie.api.task.model.Content persistContent​(org.kie.api.task.model.Content content)

    - #### updateContent

          org.kie.api.task.model.Content updateContent​(org.kie.api.task.model.Content content)

    - #### removeContent

          org.kie.api.task.model.Content removeContent​(org.kie.api.task.model.Content content)

    - #### findTaskIdByContentId

          java.lang.Long findTaskIdByContentId​(java.lang.Long contentId)

    - #### findAttachment

          org.kie.api.task.model.Attachment findAttachment​(java.lang.Long attachmentId)

    - #### persistAttachment

          org.kie.api.task.model.Attachment persistAttachment​(org.kie.api.task.model.Attachment attachment)

    - #### updateAttachment

          org.kie.api.task.model.Attachment updateAttachment​(org.kie.api.task.model.Attachment attachment)

    - #### removeAttachment

          org.kie.api.task.model.Attachment removeAttachment​(org.kie.api.task.model.Attachment attachment)

    - #### removeAttachmentFromTask

          org.kie.api.task.model.Attachment removeAttachmentFromTask​(org.kie.api.task.model.Task task,
                                                                     long attachmentId)

    - #### addAttachmentToTask

          org.kie.api.task.model.Attachment addAttachmentToTask​(org.kie.api.task.model.Attachment attachment,
                                                                org.kie.api.task.model.Task task)

    - #### findComment

          org.kie.api.task.model.Comment findComment​(java.lang.Long commentId)

    - #### persistComment

          org.kie.api.task.model.Comment persistComment​(org.kie.api.task.model.Comment comment)

    - #### updateComment

          org.kie.api.task.model.Comment updateComment​(org.kie.api.task.model.Comment comment)

    - #### removeComment

          org.kie.api.task.model.Comment removeComment​(org.kie.api.task.model.Comment comment)

    - #### removeCommentFromTask

          org.kie.api.task.model.Comment removeCommentFromTask​(org.kie.api.task.model.Comment comment,
                                                               org.kie.api.task.model.Task task)

    - #### addCommentToTask

          org.kie.api.task.model.Comment addCommentToTask​(org.kie.api.task.model.Comment comment,
                                                          org.kie.api.task.model.Task task)

    - #### findDeadline

          Deadline findDeadline​(java.lang.Long deadlineId)

    - #### persistDeadline

          Deadline persistDeadline​(Deadline deadline)

    - #### updateDeadline

          Deadline updateDeadline​(Deadline deadline)

    - #### removeDeadline

          Deadline removeDeadline​(Deadline deadline)

    - #### setDocumentToTask

          org.kie.api.task.model.Task setDocumentToTask​(org.kie.api.task.model.Content content,
                                                        ContentData contentData,
                                                        org.kie.api.task.model.Task task)

    - #### setFaultToTask

          org.kie.api.task.model.Task setFaultToTask​(org.kie.api.task.model.Content content,
                                                     FaultData faultData,
                                                     org.kie.api.task.model.Task task)

    - #### setOutputToTask

          org.kie.api.task.model.Task setOutputToTask​(org.kie.api.task.model.Content content,
                                                      ContentData contentData,
                                                      org.kie.api.task.model.Task task)

    - #### queryWithParametersInTransaction

          <T> T queryWithParametersInTransaction​(java.lang.String queryName,
                                                 java.util.Map<java.lang.String,​java.lang.Object> params,
                                                 java.lang.Class<T> clazz)

    - #### queryWithParametersInTransaction

          <T> T queryWithParametersInTransaction​(java.lang.String queryName,
                                                 boolean singleResult,
                                                 java.util.Map<java.lang.String,​java.lang.Object> params,
                                                 java.lang.Class<T> clazz)

    - #### queryAndLockWithParametersInTransaction

          <T> T queryAndLockWithParametersInTransaction​(java.lang.String queryName,
                                                        java.util.Map<java.lang.String,​java.lang.Object> params,
                                                        boolean singleResult,
                                                        java.lang.Class<T> clazz)

    - #### queryInTransaction

          <T> T queryInTransaction​(java.lang.String queryName,
                                   java.lang.Class<T> clazz)

    - #### queryStringInTransaction

          <T> T queryStringInTransaction​(java.lang.String queryString,
                                         java.lang.Class<T> clazz)

    - #### queryStringWithParametersInTransaction

          <T> T queryStringWithParametersInTransaction​(java.lang.String queryString,
                                                       boolean singleResult,
                                                       java.util.Map<java.lang.String,​java.lang.Object> params,
                                                       java.lang.Class<T> clazz)

    - #### queryStringWithParametersInTransaction

          <T> T queryStringWithParametersInTransaction​(java.lang.String queryString,
                                                       java.util.Map<java.lang.String,​java.lang.Object> params,
                                                       java.lang.Class<T> clazz)

    - #### queryAndLockStringWithParametersInTransaction

          <T> T queryAndLockStringWithParametersInTransaction​(java.lang.String queryName,
                                                              java.util.Map<java.lang.String,​java.lang.Object> params,
                                                              boolean singleResult,
                                                              java.lang.Class<T> clazz)

    - #### executeUpdateString

          int executeUpdateString​(java.lang.String updateString)

    - #### executeUpdate

          int executeUpdate​(java.lang.String queryName,
                            java.util.Map<java.lang.String,​java.lang.Object> params)

    - #### addParametersToMap

          java.util.HashMap<java.lang.String,​java.lang.Object> addParametersToMap​(java.lang.Object... parameterValues)

    - #### persist

          <T> T persist​(T object)

    - #### find

          <T> T find​(java.lang.Class<T> entityClass,
                     java.lang.Object primaryKey)

    - #### remove

          <T> T remove​(T entity)

    - #### merge

          <T> T merge​(T entity)

    - #### isOpen

          boolean isOpen()

    - #### joinTransaction

          void joinTransaction()

    - #### close

          void close()

    - #### doTaskSummaryCriteriaQuery

          java.util.List<org.kie.api.task.model.TaskSummary> doTaskSummaryCriteriaQuery​(java.lang.String userId,
                                                                                        org.kie.api.task.UserGroupCallback userGroupCallback,
                                                                                        java.lang.Object queryWhere)

    - #### findEmail

          org.kie.api.task.model.Email findEmail​(java.lang.String emailId)

    - #### persistEmail

          org.kie.api.task.model.Email persistEmail​(org.kie.api.task.model.Email email)

    - #### updateEmail

          org.kie.api.task.model.Email updateEmail​(org.kie.api.task.model.Email email)

    - #### removeEmail

          org.kie.api.task.model.Email removeEmail​(org.kie.api.task.model.Email email)